Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class UnknownDomainObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.UnknownDomainObjectException

    public class UnknownDomainObjectException
    extends GradleException

A `UnknownDomainObjectException` is the super class of all exceptions thrown when a given domain object cannot be located.

Constructor Summary
`UnknownDomainObjectException(String message)`
`UnknownDomainObjectException(String message, Throwable cause)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### UnknownDomainObjectException

    public UnknownDomainObjectException(String message)

### UnknownDomainObjectException

    public UnknownDomainObjectException(String message, Throwable cause)

Gradle API 1.1-rc-1